using System.Collections;
using System.Collections.Generic;
using BITKit;
using BITKit.UX;
using Microsoft.Extensions.Logging;
using Net.Project.B.World;

namespace Net.Project.B.UX
{
    public interface IUXHud:IUXPanel{}
    public interface IUXInitialize:IUXPanel,ILogger<IUXInitialize> {}
    public interface IUXBuyStation:IUXPanel{}
    public interface IUXControlMode:IUXPanel{}
    public interface IUXCosmetics:IUXPanel{}
    public interface IUXDialogue:IUXPanel{}
    public interface IUXInventory:IUXPanel{}

    public interface IUXItemInspector : IUXPanel
    {
        public void Inspect(IRuntimeItem item);
    }
    public interface IUXLoadingMap:IUXPanel{}
    public interface IUXLobby:IUXPanel{}
    public interface IUXMapSelector:IUXPanel{}
    public interface IUXSnapshotWindow:IUXPanel
    {
        void Open(SpotterScopeData scopeData);
    }
    public interface IUXSnapshot:IUXPanel{}
}
